package com.bjzc.bhzhgd.adapter;

import androidx.annotation.NonNull;

import com.bjzc.bhzhgd.R;
import com.bjzc.bhzhgd.bean.RlinfoBean;
import com.xuexiang.xui.adapter.recyclerview.BaseRecyclerAdapter;
import com.xuexiang.xui.adapter.recyclerview.RecyclerViewHolder;

public class RlinfoAdapter extends BaseRecyclerAdapter<RlinfoBean.DataBean> {
    @Override
    protected int getItemLayoutId(int viewType) {
        return R.layout.item_rlinfo;
    }

    @Override
    protected void bindData(@NonNull RecyclerViewHolder holder, int position, RlinfoBean.DataBean item) {
        if (item != null) {
            holder.text(R.id.tv_jhmc, item.getJHMC());
            holder.text(R.id.tv_zcmc, item.getZCMC());
            holder.text(R.id.tv_xzsc, item.getZXSC() + "小时");
            holder.text(R.id.tv_xlzxsj, item.getNEXTTIME());
            holder.text(R.id.tv_xgr, item.getXGR());
            holder.text(R.id.tv_xgsj, item.getXGSJ());
            holder.text(R.id.tv_xlzxsj, item.getNEXTTIME());
            holder.text(R.id.tv_blkssj, item.getST());
            holder.text(R.id.tv_bljssj, item.getET());
            holder.text(R.id.tv_jhzq, "计划周期:" + item.getJHZQ() + "小时");

        }
    }
}
